# Get opportunities
Retrieves the properties and relationships of an opportunity object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
GET businesscentralPrefix/companies({id})/opportunities({id})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a ```200 OK``` response code and an opportunity object in the response body.
## Example
Request
Here's an example of the request.
```json
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/opportunities({id})
```
Response
Here's an example of the response.
```json
200 OK
{
"@odata.etag": "W/\"JzQ0OzZXc0ZDVjlUYjBOTDNOYmMvbjdTSTNpRWlhVjVXbmRBUzltakJOYmFlTU09MTswMDsn\"",
"id": "2438bf05-52ff-eb11-bb76-000d3a220646",
"number": "OP100001",
"contactNumber": "CT200116",
"contactName": "David Oliver Lawrence",
"contactCompanyName": "A. Gibson\"s Law Firm",
"salespersonCode": "BC",
"description": "New tables",
"status": "In_x0020_Progress",
"closed": false,
"creationDate": "2022-11-05",
"dateClosed": "0001-01-01",
"calculatedCurrentValue": 600,
"chancesOfSuccessPrc": 15,
"completedPrc": 2,
"estimatedClosingDate": "2023-11-11",
"estimatedValue": 200000,
"systemCreatedAt": "2021-08-17T11:55:35.327Z",
"lastModifiedDateTime": "2021-08-17T11:55:35.327Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_opportunity
dynamics_opportunity_delete
POST opportunity<dynamics_opportunity_create>
PATCH opportunity<dynamics_opportunity_update>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_opportunity_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_opportunity_get/
